Search an Instagram user's following (v2)
Returns accounts that a public Instagram profile, identified by username_or_id, follows and that match keyword.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
username_or_id*string
Username without the @, or numeric user ID, of a public account. The numeric ID is the pk or id field of a profile object.
Length
1 <= lengthkeyword*string
Text to match against the usernames and names the account follows.
Length
1 <= lengthcurl -X GET "https://example.com/v2/instagram/user/following/search?username_or_id=nasa&keyword=space" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "users": [ { "property1": null, "property2": null } ] }, "details": { "reason": "no_results", "message": "string" }}